from flask import Flask, redirect, render_template, url_for
from strava import Strava
from decorators import admin

app = Flask(__name__)
app.config.from_object('config')

@app.route('/')
def index():
    return render_template('index.html')

@admin
@app.route('/strava_auth')
def strava_auth():
    return Strava.authorize()

@app.context_processor
def cp_is_admin():
    from util import is_admin
    return dict(is_admin=is_admin)

@app.context_processor
def cp_strava():
    strava=Strava.check_auth()
    return dict(strava=strava)
